---
# roles/samba/handlers/main.yml

- name: "Restart samba Service"
  ansible.builtin.service:
    name: "{{ samba_service_name }}"
    state: "restarted"
  become: true
  when:
    - "samba_package_state != 'absent'"
    - "samba_service_state != 'stopped'"
  tags:
    - "samba"
    - "package"
    - "service"

- name: "Reload samba Service"
  ansible.builtin.service:
    name: "{{ samba_service_name }}"
    state: "reloaded"
  become: true
  when:
    - "samba_package_state != 'absent'"
    - "samba_service_state != 'stopped'"
  tags:
    - "samba"
    - "configuration"
    - "service"
...
